package com.yihu.wlyy.entity.feedback;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by Reece on 2017/5/6.
 */
@Entity
@Table(name = "wlyy_appeal")
public class Appeal extends IdEntity {
    //   '账号申诉编码'
    private String code;
    //    申诉人编码
    private String creater;
    //    '问题描述'
    private String description;
    //    申诉类别：1、手机号变更、2、重置密码、3、其他
    private int type;
    //    图片路径，逗号分隔
    private String images;
    //    联系手机号
    private String phone;
    //    状态 0、未读 1、待处理  2、已处理
    private int status;
    //    '处理结果'
    private String result;
    //    申诉人身份：1、患者  2、医生
    private int identity;

    //是否删除   0 删除    1.未删除
    private Integer del ;

    @Column(name="creater_name")
    private String createrName;

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    public String getCreaterName() {
        return createrName;
    }

    public void setCreaterName(String createrName) {
        this.createrName = createrName;
    }

    public Appeal() {
    }

    public Appeal(String code, String creater, String description, int type, String images, String phone, int status, String result, int identity, Integer del, String createrName) {
        this.code = code;
        this.creater = creater;
        this.description = description;
        this.type = type;
        this.images = images;
        this.phone = phone;
        this.status = status;
        this.result = result;
        this.identity = identity;
        this.del = del;
        this.createrName = createrName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getImages() {
        return images;
    }

    public void setImages(String images) {
        this.images = images;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public int getIdentity() {
        return identity;
    }

    public void setIdentity(int identity) {
        this.identity = identity;
    }
}
